Subject: bug#17274: 24.4.50; eww doc

From: Drew Adams <[email-masked]>
Date: Tue, 15 Apr 2014 15:49:13 -0700 (PDT)

emacs -Q
M-x eww

http://www.emacswiki.org

Contacting host: www.emacswiki.org:80

open-network-stream: make client process failed: connection timed out,
:name, www.emacswiki.org, :buffer, #<killed buffer>, :host,
www.emacswiki.org, :service, 80, :nowait, nil

And a backtrace:

Debugger entered--Lisp error: (file-error "make client process failed" "connection timed out" :name "www.emacswiki.org" :buffer #<buffer  *url-http-temp*> :host "www.emacswiki.org" :service 80 :nowait nil)
  make-network-process(:name "www.emacswiki.org" :buffer #<buffer  *url-http-temp*> :host "www.emacswiki.org" :service 80 :nowait nil)
  open-network-stream("www.emacswiki.org" #<buffer  *url-http-temp*> "www.emacswiki.org" 80 :type plain :nowait nil)
  byte-code("...")
  url-open-stream("www.emacswiki.org" #<buffer  *url-http-temp*> "www.emacswiki.org" 80)
  url-http-find-free-connection("www.emacswiki.org" 80)
  url-http([cl-struct-url "http" nil nil "www.emacswiki.org" nil "/" nil nil t nil t] eww-render (nil "http://www.emacswiki.org/"))
  url-retrieve-internal("http://www.emacswiki.org/" eww-render (nil "http://www.emacswiki.org/") nil nil)
  url-retrieve("http://www.emacswiki.org/" eww-render ("http://www.emacswiki.org/"))
  eww("http://www.emacswiki.org")
  call-interactively(eww record nil)
  command-execute(eww record)
  execute-extended-command(nil "eww")
  call-interactively(execute-extended-command nil nil)
  command-execute(execute-extended-command)

Consulting the EWW manual, I see nothing about configuring Emacs to
enable it to use `eww'.  I see only this cryptic statement:

  However a GNU Emacs with `libxml2' support is required.

Could that be the problem?  What does that even mean?  How does a
user tell whether `libxml2' support has been provided?  If it has
not, how does a user obtain it?  Etc. etc.

Non-geek Emacs users are likely to want to try using Emacs to browse
the web.  Unfortunately, they seem to have been hung out to dry.

The Emacs manual, node `EWW', says this:

  You can use EWW as the web browser for
  `browse-url', *note Browse-URL::.  For full details, *note EWW:
  (eww)Top.

However, unlike `eww', `browse-url' works fine, out of the box.
And I see no "full details" about using `eww' with `browse-url' in
the EWW manual.  In fact, "browse-url" does not even occur in the
EWW manual.

In GNU Emacs 24.4.50.1 (i686-pc-mingw32)
 of 2014-04-12 on ODIEONE
Bzr revision: 116973 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/Devel/emacs/snapshot/trunk
 --enable-checking=yes,glyphs 'CFLAGS=-O0 -g3'
 LDFLAGS=-Lc:/Devel/emacs/lib 'CPPFLAGS=-DGC_MCHECK=1
 -Ic:/Devel/emacs/include''